Trying to get Jamoma for Pd to work

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Trying to get Jamoma for Pd to work

Trond Lossius
Administrator
Hi Antoine,

I am checking out Jamoma for pd, but have some problems. I’m on Mac (OSX 10.11.4). I have checked out JamomaPureData and followed the instructions to build. Building seems to work as expected. The resulting folder has been copied to ~/Library/Pd. And finally I have downloaded the 64-bit version of Pd vanilla (0.46.7).

When I start Pd and try opening one of the example patches, I get this kind of errors:

 j.model @description "Very simple oscillator"
... couldn't create
 j.parameter freq @type decimal @dataspace time @unit Hz @default 440 @range 20 15000
... couldn't create
 j.parameter gain @type decimal @dataspace gain @unit dB @default 440 @range -144 0 @clipmode both @default -144
... couldn't create

Any suggestions on what to try next?

I also notice that Pd seems to be looking for Pd-extended stuff that is no longer there:

libdir: can't load library
Gem: can't load library
cyclone: can't load library
zexy: can't load library
creb: can't load library
cxc: can't load library
iemlib: can't load library
list-abs: can't load library
mapping: can't load library
markex: can't load library
maxlib: can't load library
memento: can't load library
mjlib: can't load library
motex: can't load library
oscx: can't load library
pddp: can't load library
pdogg: can't load library
pixeltango: can't load library
pmpd: can't load library
rradical: can't load library
sigpack: can't load library
smlib: can't load library
toxy: can't load library
unauthorized: can't load library
vbap: can't load library
pan: can't load library
freeverb: can't load library
hcs: can't load library
jmmmp: can't load library
ext13: can't load library
ggee: can't load library
iem_anything: can't load library
flib: can't load library
ekext: can't load library
flatspace: can't load library
pdp: can't load library
podia: can't load library

Is there a way of getting rid of this? It seems to me that development of Pd-extended has stalled some years ago.

Thanks,
Trond


------------------------------------------------------------------------------
Transform Data into Opportunity.
Accelerate data analysis in your applications with
Intel Data Analytics Acceleration Library.
Click to learn more.
http://pubads.g.doubleclick.net/gampad/clk?id=278785471&iu=/4140
_______________________________________________
Jamoma-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jamoma-devel
Loading...